Bug 130105 - FILEOPEN XLSX Datapoint label position changes
Summary: FILEOPEN XLSX Datapoint label position changes
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
5.4.5.1 release
Hardware: All All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:6.5.0 target:6.4.2
Keywords: bibisected, bisected, filter:docx, filter:xlsx, regression
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2020-01-21 10:06 UTC by NISZ LibreOffice Team
Modified: 2020-02-26 11:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Excel (19.73 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2020-01-21 10:06 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Excel and Calc (162.25 KB, image/png)
2020-01-21 10:10 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-01-21 10:06:45 UTC
Created attachment 157297 [details]
Example file from Excel

Datapoint label position changes from outside end to center when the Excel spreadsheet is opened is LibreOffice Calc.

Steps to reproduce:
    1. Create an Excel spreadsheet.
    2. Insert a, b, c values to the first column.
    3. Insert 6, 3, 5 values to the second column.
    4. Select the filled 6 cells and insert a simple Column Chart.
    5. Insert and select data labels.
    6. Set data labels position to Center.
    7. Select a single datapoint.
    8. Set data label position to Outside End.
    9. Save the spreadsheet as XLSX.
    10. Open the spreadsheet in LibreOffice Calc.
    11. View the attached screenshot.

Actual results:
Datapoint label position changes from outside to center when the Excel spreadsheet is opened is LibreOffice Calc.
The same happens when the document created in LibreOffice Calc, saved in XLSX and reloaded.

Expected results:
Datapoint label position should be Outside End.

LibreOffice details:

Bad in:
Version: 5.4.5.0.0+
Build ID: 534fd9aacd3eea10070a3ee88fc654eb9791aa24
CPU threads: 4; OS: Windows 6.19; UI render: GL; 
Locale: hu-HU (hu_HU); Calc: CL

Good in:
Verzió: 5.3.0.3
Build az.: 7074905676c47b82bbcfbea1aeefc84afe1c50e1
CPU szálak: 4; Rendszer verziója: Windows 6.2; Felületmegjelenítés: GL; Elrendezésmotor:új; 
Területi beállítások: hu-HU (hu_HU); Calc: CL
Comment 1 NISZ LibreOffice Team 2020-01-21 10:10:38 UTC
Created attachment 157298 [details]
Screenshot of the original document side by side in Excel and Calc
Comment 2 Balázs Varga 2020-01-21 10:30:27 UTC
Confirmed in:

Version: 6.2.5.2 (x64)
Build ID: 1ec314fa52f458adc18c4f025c545a4e8b22c159
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (hu_HU); UI-Language: en-US
Calc:
Comment 4 Commit Notification 2020-01-24 12:02:32 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a4cdd4d1266e77330d4745f369db85ee7dba265c

tdf#130105 Chart OOXML Import: Fix data label position

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2020-01-28 09:53:26 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: aef7feb3e695ecf6d411f0777196dcc4281e201a
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Balázs Varga, thanks for fixing this issue!!
Comment 6 Commit Notification 2020-02-26 11:00:25 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/14a4992311a7cffdf66f8c4656b0c9cb5ebd4e14

tdf#130105 Chart OOXML Import: Fix data label position

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.